﻿Public Class Menuwindow
    Dim savefile As String
    Private Sub toumeido_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles toumeido.ValueChanged
        Try
            Form1.Opacity = toumeido.Value / 100
        Catch ex As Exception
            MessageBox.Show("透明度の設定に失敗しました。入力した数に間違いがないかご確認ください。", "エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Application.Exit()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        If Form1.Visible = False Then
            MessageBox.Show("すでに隠されています", "確認", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        Else
            Me.Close()
            Form1.Visible = False
            Form1.taskico.Visible = True
            Form1.taskico.ShowBalloonTip(2000, "みにWebサーチャー", "みにWebサーチャーを隠しました。", ToolTipIcon.Info)
        End If
    End Sub


    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        If Form1.Visible = True Then
            MessageBox.Show("すでに表示されています", "確認", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        Else
            Form1.Visible = True
            Me.Close()
        End If
    End Sub

    Private Sub Menuwindow_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        If ComboBox1.Text = "" Then Exit Sub
        Select Case ComboBox1.Text
            Case "Yahoo!検索"
                savefile = "yahoosearch"
            Case "Google検索"
                savefile = "googlesearch"
            Case "Bing"
                savefile = "bing"
            Case "Googleマップ検索"
                savefile = "googlemapsearch"
            Case "Yahoo!辞書検索"
                savefile = "yahoodicsearch"
          
        End Select
        Try
            System.IO.File.WriteAllText(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt", savefile, System.Text.Encoding.GetEncoding(0))
            MessageBox.Show("設定ファイルを" + Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txtとして保存しました。")
        Catch ex As Exception
            MessageBox.Show("設定ファイルの保存に失敗しました。")
        End Try
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Try
            System.IO.File.Delete(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt")
            MessageBox.Show("削除に成功しました。", "削除成功", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show("削除に失敗しました。設定ファイルは" + Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt" + "に保存されるしようとなっています。" + vbCrLf + "エクスプローラーで確認ください。", "失敗", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

    End Sub
End Class