﻿Imports System.Text

Public Class Form1
    Dim openfile As String
    Dim openname As String

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Location = New Point(My.Computer.Screen.WorkingArea.Width - 426, My.Computer.Screen.WorkingArea.Height - 40)
        If System.IO.File.Exists(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt") = False Then
            System.IO.Directory.CreateDirectory(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher")
            System.IO.File.Create(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt").Close()
            If System.IO.File.Exists(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt") = False Then MessageBox.Show("デフォルト検索エンジン設定ファイルの作成に失敗しました。")
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Menuwindow.ShowDialog()
    End Sub

    Private Sub taskico_MouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles taskico.MouseDoubleClick
        Menuwindow.Show()
    End Sub

    Private Sub TextBox1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TextBox1.KeyDown
        If e.KeyValue = 13 Then

            If TextBox1.Text = "" Then Exit Sub

            Try
                openfile = System.IO.File.ReadAllText(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + "\miniwebsearcher\settings.txt", System.Text.Encoding.GetEncoding(0))
            Catch ex As Exception
                SS.ShowDialog()
                Exit Sub
            End Try


            Select Case openfile
                Case "yahoosearch"
                    openname = "Yahoo!検索"
                Case "googlesearch"
                    openname = "Google検索"
                Case "bing"
                    openname = "Bing"
                Case "googlemapsearch"
                    openname = "Googleマップ検索"
                Case "yahoodicsearch"
                    openname = "Yahoo!辞書検索"
                Case Else
                    SS.ShowDialog()
                    Exit Sub
            End Select

            If openname = "Yahoo!検索" Then Process.Start("iexplore.exe", "http://search.yahoo.co.jp/search?p=" + TextBox1.Text + "&ei=Shift_JIS")
            If openname = "Google検索" Then Process.Start("iexplore.exe", "http://www.google.co.jp/search?q=" + TextBox1.Text)
            If openname = "Bing" Then
                With CreateObject("ScriptControl")
                    .Language = "JScript"
                    With .CodeObject
                        Process.Start("iexplore.exe", "http://www.bing.com/search?q=" + .encodeURI(TextBox1.Text))
                    End With
                End With
            End If
            If openname = "Googleマップ検索" Then Process.Start("iexplore.exe", "http://maps.google.co.jp/?q=" + TextBox1.Text)
            If openname = "Yahoo!辞書検索" Then Process.Start("iexplore.exe", "http://dic.search.yahoo.co.jp/search?ei=Shift_JIS&p=" + TextBox1.Text)
            TextBox1.Text = ""
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        SS.ShowDialog()
    End Sub
End Class
